"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFiles = exports.envFilter = exports.escapeRegExp = void 0;
const node_process_1 = __importDefault(require("process"));
const node_fs_1 = __importDefault(require("fs"));
const node_path_1 = __importDefault(require("path"));
const escapeRegExp = (string) => string.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
exports.escapeRegExp = escapeRegExp;
exports.envFilter = ((_a = node_process_1.default.env.FILTER) === null || _a === void 0 ? void 0 : _a.trim())
    ? new RegExp((0, exports.escapeRegExp)(node_process_1.default.env.FILTER), 'i')
    : null;
const getFiles = (dirPath, files = [], configs) => {
    const currentFiles = node_fs_1.default.readdirSync(dirPath);
    const filter = (exports.envFilter ? exports.envFilter : configs === null || configs === void 0 ? void 0 : configs.filter) || /\.test\./i;
    for (const file of currentFiles) {
        const fullPath = node_path_1.default.join(dirPath, file);
        if (node_fs_1.default.statSync(fullPath).isDirectory()) {
            (0, exports.getFiles)(fullPath, files, configs);
        }
        else if (filter.test(fullPath)) {
            files.push(fullPath);
        }
    }
    return files;
};
exports.getFiles = getFiles;
